# Package org.codehaus.plexus.personality.plexus.lifecycle.phase

Interface Summary
Configurable: Configures a component.
Contextualizable
Disposable
Initializable
Serviceable: Indicates that a class wants a hold on a ServiceLocator.
ServiceLocator: Provides services to components by means of a lookup.
Startable
Suspendable

Class Summary
AutoConfigurePhase
ConfigurablePhase
ContextualizePhase
DisposePhase
InitializePhase
LogDisablePhase
LogEnablePhase
PlexusContainerLocator: A ServiceLocator for PlexusContainer.
ResumePhase
ServiceablePhase
StartPhase
StopPhase
SuspendPhase

Exception Summary
InitializationException: Indicates a problem occurred when initialising a component.
PhaseExecutionException: Describes an error that has occurred during the execution of a phase.
StartingException: Error occuring while starting a component.
StoppingException: Error occuring while starting a component.